///////////////////////////////Default stuff, No changes here ///////////////////////////////////
#define true 1
#define false 0

#define VSoft 0
#define VArmor 1
#define VAir 2

#define private 0
#define protected 1
#define public 2

#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6 BRDM2_Sarmat
#define TLogic 7

#define ReadAndWrite 0
#define ReadAndCreate 1
#define ReadOnly 2
#define ReadOnlyVerified 3
/////////////////////////////// ^^ Default Stuff ^^ ///////////////////////////////

class CfgPatches
{
  class Georgian_mash
  {
    units[] = {};
    weapons[] = {};
    requiredVersion = 1.00;
    requiredAddons[] = {"CATracked","CAWeapons"};
  };
};
class CfgFactionClasses
{
	 class Georgian 
	 {
	  displayName = "Georgian army";
	  side = TWest;
	  priority = 1;
	 };
};

class CfgVehicles {
/*extern*/ class BRDM2_Base;
	/*extern*/ class BMP2_Ambul_Base;
	/*extern*/ class BMP2_HQ_Base;
	/*extern*/ class UAZ_Unarmed_Base;
	/*extern*/ class Ural_Base;
             /*extern*/ class UralOpen_Base;
              /*extern*/ class Ural_ZU23_Base;
	/*extern*/ class UralReammo_Base;
	/*extern*/ class UralRepair_Base;
	/*extern*/ class ZSU_Base;

	/*extern*/ class DSHKM_base;
	/*extern*/ class AGS_base;
	/*extern*/ class DSHkM_Mini_TriPod;
	/*extern*/ class SPG9_base;
	/*extern*/ class ZU23_base;

              class BMP2_Ambul_Georgian: BMP2_Ambul_Base {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		hiddenSelectionsTextures[] = {"\ca\tracked\data\bmp2_KHK_01_co.paa", "\ca\tracked\data\bmp2_KHK_02_co.paa"};
		crew = "Georgian_crewW";
	};
	
              class BRDM2_Georgian: BRDM2_Base {
                       scope = public;
                            side = TWest;
		faction = "Georgian";
		hiddenSelectionsTextures[] = 
		{
			"\ca\wheeled\data\BDRM2_KHK_01_CO.paa",
			"\ca\wheeled\data\brdm2_02_co.paa"
		};
		crew = "Georgian_aksW";
	};
	class BMP2_HQ_Georgian: BMP2_HQ_Base
	{
		scope = public;
		side = TWest;
		faction = "Georgian";
		accuracy = 0.300000;
		crew = "Georgian_CrewW";
		hiddenSelectionsTextures[] = 
		{
			"\ca\tracked\data\bmp2_KHK_01_co.paa",
			"\ca\tracked\data\bmp2_KHK_01_co.paa"
		};
	};
              class UAZ_Georgian: UAZ_Unarmed_Base {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		hiddenSelectionsTextures[] = {"\Georgian_army\mash\uaz_main_002_co.paa"};
		crew = "Georgian_aksW";
	};
	

	
              class UralOpen_Georgian: UralOpen_Base {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		hiddenSelectionsTextures[] = 
		{
			"\ca\wheeled\data\ural_kabina_KHK_CO.paa",
			"\Georgian_army\mash\ural_open_co.paa"
		};	
		    crew = "Georgian_aksW";
	};
	
              class Ural_ZU23_Georgian: Ural_ZU23_Base {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		hiddenSelectionsTextures[] = {"\Georgian_army\mash\ural_kabina_khk_co.paa", "\ca\wheeled\data\ural_korba_KHK_CO.paa"};
		crew = "Georgian_aksW";
	};
	class UralRepair_Georgian: UralRepair_Base
	{
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		accuracy = 0.300000;
		crew = "Georgian_aksW";

		hiddenSelectionsTextures[] = 
		{
			"\ca\wheeled\data\ural_kabina_KHK_CO.paa",
			"\Georgian_army\mash\ural_repair_co.paa"
		};
	};
	class UralReammo_Georgian: UralReammo_Base
	{
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		accuracy = 0.300000;
		crew = "Georgian_aksW";
		hiddenSelectionsTextures[] = 
		{
			"\ca\wheeled\data\ural_kabina_KHK_CO.paa",
			"\Georgian_army\mash\ural_ammo_co.paa"
		};
	};
	class ZSU_Georgian: ZSU_Base
	{
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		accuracy = 0.300000;
		crew = "Georgian_crewW";
		hiddenSelectionsTextures[] = 
		{
			"\Georgian_army\mash\zsu_01_co.paa",
			"\Georgian_army\mash\zsu_02_co.paa",
			"\Georgian_army\mash\zsu_03_co.paa"
		};
	};

	class DSHKM_Georgian: DSHKM_base {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		crew = "Georgian_aksW";
	};

	class ZU23_Georgian: ZU23_base {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		crew = "Georgian_aksW";
	};	

	class SPG9_Georgian: SPG9_base {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		crew = "Georgian_aksW";
	};

	class DSHkM_Mini_TriPod_Georgian: DSHkM_Mini_TriPod {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		crew = "Georgian_aksW";
	};
	class AGS_Mini_TriPod_Georgian: AGS_base {
	         scope = public;
                            side = TWest;
		faction = "Georgian";
		crew = "Georgian_aksW";
	};
};