class CfgPatches
{
	class georgian_army_woodlnd
	{
		units[]={};
		weapons[]={};
		requiredVersion=1.000000;
		requiredAddons[]=
		{
			"CACharacters",
			"CACharacters2",
			"CAWeapons",
			"CAWeapons_AK"
		};
	};
};
class CfgVehicles
{
	class SoldierGB;
	class CDF_Soldier;
	class CDF_Soldier_crew;
	class CDF_Soldier_pilot;
	class CDF_Soldier_Light;
	class CDF_Soldier_gl;
	class CDF_Soldier_mg;
	class CDF_Soldier_RPG;
	class CDF_Soldier_Sniper;
	class Georgian_offW: CDF_Soldier
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Commander (wood)";
		model="\georgian_army\woodlnd\soldier1.p3d";
		weapons[]=
		{
			"AKS_74_PSO",
			"NVGoggles",
			"Binocular",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"HandGrenade_East",
			"HandGrenade_East",
			"SmokeShell",
			"SmokeShell"
		};
	};
	
	class Georgian_crewW: CDF_Soldier_crew
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Crew (wood)";
		model="\georgian_army\woodlnd\soldier_crew.p3d";
		weapons[]=
		{
			"AKS_74_U",
			"NVGoggles",
			"Binocular",
			"Makarov",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"HandGrenade_East",
			"HandGrenade_East",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov"
		};
	};
	class Georgian_pilotW: CDF_Soldier_pilot
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Pilot (wood)";
		model="\georgian_army\woodlnd\soldier_pilot.p3d";
		weapons[]=
		{
			"AKS_74_U",
			"NVGoggles",
			"Binocular",
			"Makarov",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"HandGrenade_East",
			"HandGrenade_East",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov"
		};
	};
	class Georgian_aksW: CDF_Soldier_Light
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Rifleman AKS (wood)";
		model="\georgian_army\woodlnd\soldier1.p3d";
		weapons[]=
		{
			"AK_47_S",
			"NVGoggles",
			"Binocular",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_762x39_AK47",
			"30Rnd_762x39_AK47",
			"30Rnd_762x39_AK47",
			"30Rnd_762x39_AK47",
			"30Rnd_762x39_AK47",
			"30Rnd_762x39_AK47",
			"30Rnd_762x39_AK47",
			"30Rnd_762x39_AK47",
			"HandGrenade_East",
			"HandGrenade_East"
		};
	};
	class Georgian_AKW: CDF_Soldier
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Rifleman (wood)";
		model="\georgian_army\woodlnd\soldier1.p3d";
		weapons[]=
		{
			"AK_74",
			"NVGoggles",
			"Binocular",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"HandGrenade_East",
			"HandGrenade_East",
			"SmokeShell",
			"SmokeShell"
		};
	};
	class Georgian_M4W: CDF_Soldier
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Rifleman M4 (wood)";
		model="\georgian_army\woodlnd\soldier1.p3d";
		weapons[]=
		{
			"M4A1",
			"NVGoggles",
			"Binocular",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"HandGrenade_East",
			"HandGrenade_East",
			"SmokeShell",
			"SmokeShell"
		};
	};
		class Georgian_GLW: CDF_Soldier_gl
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Rifleman GL (wood)";
		model="\georgian_army\woodlnd\soldier_gl.p3d";
		weapons[]=
		{
			"AK_74_GL",
			"NVGoggles",
			"Binocular",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"HandGrenade_East",
			"HandGrenade_East",
			"HandGrenade_East",
			"SmokeShell",
			"1Rnd_HE_GP25",
			"1Rnd_HE_GP25",
			"1Rnd_HE_GP25",
			"1Rnd_HE_GP25",
			"1Rnd_HE_GP25",
			"1Rnd_HE_GP25",
			"1Rnd_HE_GP25",
			"1Rnd_HE_GP25"
		};
	};
	class Georgian_MGW: CDF_Soldier_mg
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Machinegunner (wood)";
		model="\georgian_army\woodlnd\soldier_mg.p3d";
		weapons[]=
		{
			"PK",
			"NVGoggles",
			"Binocular",
			"Makarov",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"100Rnd_762x54_PK",
			"100Rnd_762x54_PK",
			"100Rnd_762x54_PK",
			"100Rnd_762x54_PK",
			"100Rnd_762x54_PK",
			"HandGrenade_East",
			"HandGrenade_East",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov"
		};
	};
	class Georgian_ATW: CDF_Soldier_RPG
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Rifleman AT (wood)";
		model="\georgian_army\woodlnd\soldier_at.p3d";
		weapons[]=
		{
			"AK_74",
			"RPG7V",
			"NVGoggles",
			"Binocular",
			"Makarov",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"PG7V",
			"PG7V",
			"HandGrenade_East",
			"SmokeShell",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov"
		};
	};
	class Georgian_AAW: CDF_Soldier_RPG
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Rifleman AA(Strela) (wood)";
		model="\georgian_army\woodlnd\soldier_at.p3d";
		weapons[]=
		{
			"AK_74",
			"Strela",
			"NVGoggles",
			"Binocular",
			"Makarov",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"30Rnd_545x39_AK",
			"Strela",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov"
		};
	};
	class Georgian_AASW: CDF_Soldier_RPG
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Rifleman AA(Stinger) (wood)";
		model="\georgian_army\woodlnd\soldier_at.p3d";
		weapons[]=
		{
			"M4A1",
			"Stinger",
			"NVGoggles",
			"Binocular",
			"Makarov",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"30Rnd_556x45_Stanag",
			"Stinger",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov"
		};
	};
	class Georgian_sniperW: CDF_Soldier_Sniper
	{
		side=1;
		faction="Georgian";
		vehicleClass="men";
		displayName="Sniper (wood)";
		model="\georgian_army\woodlnd\soldier.p3d";
		weapons[]=
		{
			"SVD",
			"NVGoggles",
			"Binocular",
			"Makarov",
			"Throw",
			"Put",
			"ItemGPS",
			"ItemMap",
			"ItemCompass",
			"ItemWatch",
			"ItemRadio"
		};
		magazines[]=
		{
			"10Rnd_762x54_SVD",
			"10Rnd_762x54_SVD",
			"10Rnd_762x54_SVD",
			"10Rnd_762x54_SVD",
			"10Rnd_762x54_SVD",
			"10Rnd_762x54_SVD",
			"10Rnd_762x54_SVD",
			"10Rnd_762x54_SVD",
			"HandGrenade_East",
			"HandGrenade_East",
			"HandGrenade_East",
			"HandGrenade_East",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov",
			"8Rnd_9x18_Makarov"
		};
	};
};
